Bug 830610 - [abrt] shotwell-0.12.3-1.fc17: Process /usr/bin/shotwell was killed by signal 6 (SIGABRT)
[abrt] shotwell-0.12.3-1.fc17: Process /usr/bin/shotwell was killed by signal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:97806554f9ff938421eda1eb62b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 19:44 EDT by Raj Upadhyaya
Modified: 2013-08-01 16:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:07:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.36 KB, text/plain)
2012-06-10 19:44 EDT, Raj Upadhyaya
no flags Details
File: backtrace (42.39 KB, text/plain)
2012-06-10 19:44 EDT, Raj Upadhyaya
no flags Details
File: maps (35.61 KB, text/plain)
2012-06-10 19:44 EDT, Raj Upadhyaya
no flags Details
File: dso_list (11.25 KB, text/plain)
2012-06-10 19:44 EDT, Raj Upadhyaya
no flags Details

  None (edit)
Description Raj Upadhyaya 2012-06-10 19:44:49 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        shotwell '/run/user/raj/gvfs/FTP on 192.168.1.1/julie/C/julie/Diet Progression/P6300046.JPG'
comment:        I was opening a JPEG file mounted on FTP.
executable:     /usr/bin/shotwell
kernel:         3.4.0-1.fc17.i686
pid:            8977
pwd:            /home/raj
time:           Sun 10 Jun 2012 06:16:06 PM CDT
uid:            1000
username:       raj
var_log_messages: Jun 10 18:16:08 rajhome2 abrt[8986]: Saved core dump of pid 8977 (/usr/bin/shotwell) to /var/spool/abrt/ccpp-2012-06-10-18:16:06-8977 (91389952 bytes)

backtrace:      Text file, 43403 bytes
core_backtrace: Text file, 4464 bytes
dso_list:       Text file, 11515 bytes
maps:           Text file, 36467 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/raj/2

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=rajhome2
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/raj/keyring-W3rH7T
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=raj
:USERNAME=raj
:MAIL=/var/spool/mail/raj
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/raj/.local/bin:/home/raj/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/raj
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=963
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/raj
:SHLVL=1
:LOGNAME=raj
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2jo2AnPNKt,guid=0041490a156173d6fd43fe7600000027
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/raj
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-raj-kFb5N8/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/967,unix/unix:/tmp/.ICE-unix/967
:SSH_AUTH_SOCK=/run/user/raj/keyring-W3rH7T/ssh
:GPG_AGENT_INFO=/run/user/raj/keyring-W3rH7T/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/shotwell-viewer.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=8977

event_log:
:2012-06-10-18:17:28> Querying server settings
:2012-06-10-18:17:43  Preparing an archive to upload
:2012-06-10-18:18:21  You are going to upload 24 megabytes.Continue? YES
:2012-06-10-18:18:26  Uploading 24 megabytes
:2012-06-10-18:18:39  Uploading 2%
:2012-06-10-18:18:49  Uploading 4%
:2012-06-10-18:18:59  Uploading 6%
:2012-06-10-18:19:09  Uploading 7%
:2012-06-10-18:19:19  Uploading 9%
:2012-06-10-18:19:42  Uploading 10%
:2012-06-10-18:19:52  Uploading 12%
:2012-06-10-18:20:03  Uploading 14%
:2012-06-10-18:20:13  Uploading 15%
:2012-06-10-18:20:23  Uploading 17%
:2012-06-10-18:20:34  Uploading 19%
:2012-06-10-18:20:44  Uploading 20%
:2012-06-10-18:20:54  Uploading 22%
:2012-06-10-18:21:05  Uploading 24%
:2012-06-10-18:21:15  Uploading 25%
:2012-06-10-18:21:25  Uploading 27%
:2012-06-10-18:21:36  Uploading 29%
:2012-06-10-18:21:46  Uploading 31%
:2012-06-10-18:21:58  Uploading 33%
:2012-06-10-18:22:09  Uploading 34%
:2012-06-10-18:22:20  Uploading 37%
:2012-06-10-18:22:30  Uploading 38%
:2012-06-10-18:22:40  Uploading 40%
:2012-06-10-18:22:50  Uploading 42%
:2012-06-10-18:23:00  Uploading 43%
:2012-06-10-18:23:11  Uploading 45%
:2012-06-10-18:23:21  Uploading 47%
:2012-06-10-18:23:31  Uploading 49%
:2012-06-10-18:23:41  Uploading 50%
:2012-06-10-18:23:51  Uploading 52%
:2012-06-10-18:24:01  Uploading 54%
:2012-06-10-18:24:11  Uploading 55%
:2012-06-10-18:24:21  Uploading 57%
:2012-06-10-18:24:31  Uploading 59%
:2012-06-10-18:24:42  Uploading 60%
:2012-06-10-18:24:54  Uploading 62%
:2012-06-10-18:25:04  Uploading 64%
:2012-06-10-18:25:14  Uploading 66%
:2012-06-10-18:25:25  Uploading 68%
:2012-06-10-18:25:35  Uploading 69%
:2012-06-10-18:25:45  Uploading 71%
:2012-06-10-18:25:56  Uploading 73%
:2012-06-10-18:26:07  Uploading 74%
:2012-06-10-18:26:17  Uploading 76%
:2012-06-10-18:26:27  Uploading 78%
:2012-06-10-18:26:38  Uploading 80%
:2012-06-10-18:26:49  Uploading 82%
:2012-06-10-18:26:59  Uploading 84%
:2012-06-10-18:27:09  Uploading 85%
:2012-06-10-18:27:19  Uploading 87%
:2012-06-10-18:27:30  Uploading 89%
:2012-06-10-18:27:42  Uploading 90%
:2012-06-10-18:27:53  Uploading 93%
:2012-06-10-18:28:03  Uploading 94%
:2012-06-10-18:28:13  Uploading 96%
:2012-06-10-18:28:23  Uploading 98%
:2012-06-10-18:28:33  Uploading 99%
:2012-06-10-18:28:33  Upload successful
:2012-06-10-18:28:40  Retrace job started
:2012-06-10-18:28:55  Analyzing crash data
:2012-06-10-18:29:11  Analyzing crash data
:2012-06-10-18:29:26  Analyzing crash data
:2012-06-10-18:29:42  Initializing virtual root
:2012-06-10-18:29:57  Initializing virtual root
:2012-06-10-18:30:13  Initializing virtual root
:2012-06-10-18:30:28  Initializing virtual root
:2012-06-10-18:30:44  Initializing virtual root
:2012-06-10-18:30:59  Initializing virtual root
:2012-06-10-18:31:15  Initializing virtual root
:2012-06-10-18:31:30  Initializing virtual root
:2012-06-10-18:31:46  Initializing virtual root
:2012-06-10-18:32:01  Initializing virtual root
:2012-06-10-18:32:17  Initializing virtual root
:2012-06-10-18:32:32  Initializing virtual root
:2012-06-10-18:32:49  Initializing virtual root
:2012-06-10-18:33:04  Initializing virtual root
:2012-06-10-18:33:20  Initializing virtual root
:2012-06-10-18:33:35  Cleaning up virtual root
:2012-06-10-18:33:51  Retrace job finished successfully
:2012-06-10-18:39:18> Element 'xsession_errors' saved
:2012-06-10-18:39:21> Smolt profile successfully saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15935                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15935                15935                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/raj/.xsession-errors
:2:/home/raj/.xsession-errors
:3:socket:[161840]
:4:anon_inode:[eventfd]
:5:socket:[161845]
:6:socket:[160835]
:7:anon_inode:[eventfd]
:8:socket:[160836]
:9:socket:[160840]
:10:socket:[160841]
:11:anon_inode:[eventfd]
:12:anon_inode:[eventfd]
:13:socket:[160883]
:14:socket:[160885]

smolt_data:
:
:
:General
:=================================
:UUID: f93ca116-cd31-4658-b128-92c8e533c120
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 5601.77
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) D CPU 2.80GHz
:CPU Stepping: 4
:CPU Family: 15
:CPU Model Num: 6
:Number of CPUs: 2
:CPU Speed: 2800
:System Memory: 2008
:System Swap: 4031
:Vendor: HP Pavilion 061
:System: EX278AA-ABA a1560n 0nx1114RE101LEUCI00
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4358:12356:4156:10811) pci, firewire_ohci, FIREWIRE, VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller
:(32902:10204:4156:10811) pci, e100, ETHERNET, Pavilion A1512X
:(4545:1568:4545:1568) pci, None, SIMPLE, Lucent V.92 Data/Fax Modem
:(32902:10098:4156:10811) pci, i915, VIDEO, Pavilion A1512X
:(32902:10179:4156:10811) pci, ahci, RAID, 82801GR/GH (ICH7 Family) SATA RAID Controller
:(32902:10207:4156:10811) pci, ata_piix, STORAGE, Pavilion A1512X
:(32902:10160:4156:10811) pci, None, PCI/ISA, Pavilion A1512X
:(32902:10200:4156:10811) pci, snd_hda_intel, MULTIMEDIA, Pavilion A1512X
:(32902:10202:4156:10811) pci, i801_smbus, SERIAL, Pavilion A1512X
:(32902:9294:4156:10811) pci, None, PCI/PCI, Pavilion A1512X
:(32902:10185:4156:10811) pci, uhci_hcd, USB, Pavilion A1512X
:(32902:10184:4156:10811) pci, uhci_hcd, USB, Pavilion A1512X
:(32902:10096:4156:10811) pci, agpgart-intel, HOST/PCI, Pavilion A1512X
:(32902:10186:4156:10811) pci, uhci_hcd, USB, Pavilion A1512X
:(32902:10187:4156:10811) pci, uhci_hcd, USB, Pavilion A1512X
:(32902:10188:4156:10811) pci, ehci_hcd, USB, Pavilion A1512X
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_rajhome2-lv_root / ext4 4096 4096 13092026 11763604 11632554 3276800 3141013 3141013
:/dev/sda1 /boot ext4 1024 1024 508745 404350 378750 128016 127663 127663
:/dev/mapper/vg_rajhome2-lv_home /home ext4 4096 4096 58920833 31969870 29020341 14753792 14714688 14714688
:

xsession_errors:
:(shotwell:8964): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the data stream to the loader before dropping the last reference.
:(shotwell:8977): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the data stream to the loader before dropping the last reference.
:(shotwell:8977): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the data stream to the loader before dropping the last reference.
:ERROR:/builddir/build/BUILD/shotwell-0.12.3/src/Dimensions.vala:44:dimensions_init: assertion failed: (_tmp3_)
Comment 1 Raj Upadhyaya 2012-06-10 19:44:53 EDT
Created attachment 590800 [details]
File: core_backtrace
Comment 2 Raj Upadhyaya 2012-06-10 19:44:55 EDT
Created attachment 590801 [details]
File: backtrace
Comment 3 Raj Upadhyaya 2012-06-10 19:44:57 EDT
Created attachment 590802 [details]
File: maps
Comment 4 Raj Upadhyaya 2012-06-10 19:44:59 EDT
Created attachment 590803 [details]
File: dso_list
Comment 5 clinton 2012-07-10 15:11:15 EDT
Good afternoon,

This has been ticketed upstream at http://redmine.yorba.org/issues/5527, and a patch has been submitted to the team lead for eventual inclusion into trunk.
Comment 6 Thomas Moschny 2012-07-11 02:34:53 EDT
This has been fixed upstream, see http://redmine.yorba.org/projects/shotwell/repository/revisions/3e6989a0955ca4c65a3be32b62d20b774c1294eb
Comment 7 Fedora Update System 2012-07-15 12:00:56 EDT
shotwell-0.12.3-1.fc17.1 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/shotwell-0.12.3-1.fc17.1
Comment 8 Fedora Update System 2012-07-30 18:24:54 EDT
Package shotwell-0.12.3-1.fc17.1:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shotwell-0.12.3-1.fc17.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11284/shotwell-0.12.3-1.fc17.1
then log in and leave karma (feedback).
Comment 9 Fedora End Of Life 2013-07-04 03:44:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 16:07:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.